Subject: Re: [RFC/PATCH] powerpc: Rewrite IO allocation & mapping on powerpc64

From: Segher Boessenkool <[email-masked]>
Date: Tue, 15 May 2007 06:33:51 +0200

>> This is wrong -- there are systems with ISA that
>> also have PCI devices that require 16-bit legacy
>> I/O windows (e.g., systems with the AMD8111 chip,
>> like Maple).
>
> If they are PCI devices and their drivers use a pci_dev's resources
> to get to the device's I/O resources, then they are fine.
>
> The only reason for reserving the low 64k is to cater for drivers that
> use a hard-coded port number, e.g. video drivers using the VGA port
> numbers.  We have been gradually getting rid of the hard coded port
> numbers in drivers but I don't think they're all gone yet.

Yes, I misunderstood (that teaches me for reading the
patch description only, not the patch itself :-) ).

Ben, can we have a config option to _not_ create a
mapping for the legacy hardcoded stuff, even if there
is an "isa" device node?  Some platforms do not need
it or want it, and it can help find the remaining
drivers that do this x86 nastiness.

Segher